## python-overpy 0.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonOverpassAPI.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonOverpassAPI.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonOverpassAPI"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonOverpassAPI"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-overpy 0.3.1

=== debian/changelog ===
python-overpy (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #833109)

 -- Sandro Tosi <morph@debian.org>  Thu, 04 Aug 2016 19:46:17 +0100

=== debian/control ===
Source: python-overpy
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/DinoTools/python-overpy
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-overpy.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-overpy.git

Package: python-overpy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: wrapper to access the OpenStreetMap Overpass API (Python 2)
 Overpy is an advanced Python wrapper that allows you to query the OpenStreetMap
 Overpass APIs using the while strength of their query language.
 .
 This package contains the Python 2 version of overpy .

Package: python3-overpy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: wrapper to access the OpenStreetMap Overpass API (Python 3)
 Overpy is an advanced Python wrapper that allows you to query the OpenStreetMap
 Overpass APIs using the while strength of their query language.
 .
 This package contains the Python 3 version of overpy .

=== debian/rules ===
#!/usr/bin/make -f

# main packaging script based on dh7 syntax
%:
	dh $@ --with python2,python3

override_dh_auto_install:
	python  setup.py install --root=debian/python-overpy  --install-layout=deb
	python3 setup.py install --root=debian/python3-overpy --install-layout=deb

## python-overpy 0.4

=== debian/changelog ===
python-overpy (0.4-2) unstable; urgency=medium

  [ Sandro Tosi ]
  * debian/control
    - clarify long description; Closes: #859275
    - add pytest to b-d
    - bump Standards-Version to 4.4.0 (no changes needed)
  * Drop Python 2 support + use pybuild
  * debian/copyright
    - extend packaging copyright years

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Convert git repository from git-dpm to gbp layout

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Aug 2019 01:19:58 -0400

python-overpy (0.4-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - license is now included in the released tarball
  * debian/rules
    - install examples
  * debian/control
    - add pytest-runner to b-d

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Dec 2016 22:32:46 -0500

=== debian/control ===
Source: python-overpy
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python3, dh-python, python3-setuptools, python3-pytest-runner, python3-pytest
Standards-Version: 4.4.0
Homepage: https://github.com/DinoTools/python-overpy
Vcs-Git: https://salsa.debian.org/python-team/modules/python-overpy.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-overpy

Package: python3-overpy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: wrapper to access the OpenStreetMap Overpass API (Python 3)
 Overpy is an advanced Python wrapper that allows you to query the OpenStreetMap
 Overpass APIs using the full power of their query language.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/overpy/overpy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-overpy 0.6

=== debian/changelog ===
python-overpy (0.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Sandro Tosi ]
  * orphan while waiting for RM

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 16:58:17 -0500

python-overpy (0.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/watch
    - track github releases
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
  * debian/control
    - run wrap-and-sort
    - set dh compat to 13

 -- Sandro Tosi <morph@debian.org>  Mon, 11 Oct 2021 22:18:00 -0400

=== debian/control ===
Source: python-overpy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-pytest,
               python3-pytest-runner,
               python3-setuptools,
Standards-Version: 4.6.1
Homepage: https://github.com/DinoTools/python-overpy
Vcs-Git: https://salsa.debian.org/python-team/packages/python-overpy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-overpy

Package: python3-overpy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: wrapper to access the OpenStreetMap Overpass API (Python 3)
 Overpy is an advanced Python wrapper that allows you to query the OpenStreetMap
 Overpass APIs using the full power of their query language.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-overpy-$1.tar.gz%" \
https://github.com/DinoTools/python-overpy/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-overpy 0.7

=== docs/requirements.txt ===
sphinx
sphinx-autodoc-typehints

=== debian/changelog ===
python-overpy (0.7-1) unstable; urgency=medium

  * New upstream version 0.7
  * adopt package inside DPT (Closes: #1065201)
  * refresh patch
  * use new dh-sequence-python3
  * set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Mar 2024 16:42:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: python-overpy
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Alexandre Detiste <tchet@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-pytest,
                python3-pytest-runner,
                python3-setuptools,
+Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Homepage: https://github.com/DinoTools/python-overpy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-overpy.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	python3 setup.py install --root=debian/python3-overpy --install-layout=deb

override_dh_installexamples:
	dh_installexamples -A examples/*
